--- apparmor_profile_ubuntu	2018-01-22 22:10:51.389465887 +0100
+++ apparmor_profile_debian	2018-01-22 22:21:06.988700530 +0100
@@ -1,5 +1,6 @@
 # Last Modified: Sat Jan 20 10:45:05 2018
 #include <tunables/global>
+#include <tunables/sys>
 
 /usr/sbin/chronyd (attach_disconnected) {
   #include <abstractions/base>
@@ -9,17 +10,24 @@
   capability net_bind_service,
   capability setuid,
   capability setgid,
+  capability sys_nice,
+  capability sys_resource,
 
   /usr/sbin/chronyd mr,
 
   /etc/chrony/{,**} r,
-  /run/chronyd.pid w,
-  /run/chrony/{,*} rw,
+  /{,var/}/run/chronyd.pid w,
+  /{,var/}/run/chrony/{,*} rw,
   /var/lib/chrony/{,*} r,
   /var/lib/chrony/* w,
   /var/log/chrony/{,*} r,
   /var/log/chrony/* w,
 
+  # Using the “tempcomp” directive gives chronyd the ability to improve
+  # the stability and accuracy of the clock by compensating the temperature
+  # changes measured by a sensor close to the oscillator.
+  @{sys}/class/hwmon/hwmon[0-9]*/temp[0-9]*_input r,
+
   # rtc
   /etc/adjtime r,
   /dev/rtc{,[0-9]*} r,
